Payments onboarding
Update company country
PUT
/
api
/
companies
/
{company_id}
/
company_countries
/
{id}
Update company country
curl --request PUT \
--url https://api.fluid.app/api/companies/{company_id}/company_countries/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company_country": {
"currency": "<string>",
"country_iso": "<string>",
"entity_id": 123,
"entity_legally_registered": true,
"settlement_currency": "<string>"
}
}
'import requests
url = "https://api.fluid.app/api/companies/{company_id}/company_countries/{id}"
payload = { "company_country": {
"currency": "<string>",
"country_iso": "<string>",
"entity_id": 123,
"entity_legally_registered": True,
"settlement_currency": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company_country: {
currency: '<string>',
country_iso: '<string>',
entity_id: 123,
entity_legally_registered: true,
settlement_currency: '<string>'
}
})
};
fetch('https://api.fluid.app/api/companies/{company_id}/company_countries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"company_country": {
"id": 123,
"currency": "<string>",
"base_shipping": 123,
"default": true,
"updated_at": "2023-11-07T05:31:56Z",
"tax_inclusive_pricing": true,
"country": {
"id": 123,
"name": "<string>",
"iso": "<string>",
"iso_name": "<string>",
"iso3": "<string>",
"currency_code": "<string>",
"currency_symbol": "<string>",
"province_required": true,
"price_inclusive_of_tax": true,
"price_inclusive_tax_name": "<string>",
"tax_enabled": true
},
"pause_incomplete_enrollment": true,
"handling_fee": 123,
"entity_id": 123,
"entity_legally_registered": true,
"settlement_currency": "<string>",
"tax_name": "<string>",
"payment_method_priority": [
"<string>"
],
"country_defaults": {
"tax_inclusive": true,
"tax_name": "<string>"
},
"entity": {
"legal_name": "<string>",
"classification": "<string>",
"trading_name": "<string>",
"country_iso": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"province": "<string>",
"postal_code": "<string>",
"registration_number": "<string>",
"date_of_incorporation": "<string>",
"primary_mcc": 123,
"secondary_mcc": 123,
"phone_country_code": "<string>",
"phone": "<string>",
"website": "<string>",
"tax_id": "<string>",
"billing_descriptor": "<string>",
"principal_same_as_registered_address": true,
"primary": true,
"status": "draft",
"business_registration_file_url": "<string>",
"business_registration_file_name": "<string>",
"business_license_file_url": "<string>",
"business_license_file_name": "<string>",
"articles_of_incorporation_file_url": "<string>",
"articles_of_incorporation_file_name": "<string>",
"last_3_months_processing_statements": [
{}
],
"business_identification_number": "<string>",
"w_9_file_name": "<string>",
"w_9_file_url": "<string>",
"business_registration_certificate_file_name": "<string>",
"business_registration_certificate_file_url": "<string>",
"principal_address": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country_code": "<string>"
},
"registered_address": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country_code": "<string>"
}
}
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}Authorizations
Bearer token authentication
Body
application/json
Show child attributes
Show child attributes
⌘I
Update company country
